@xomiles

Что нужно чтобы исправить предупреждение при установке модуля?

5fc15d80088a1560019627.jpeg
Нужно установить модуль pysqlite3 но выдаёт предупреждение, как это исправить?
  • Вопрос задан
  • 39 просмотров
Пригласить эксперта
Ответы на вопрос 1
hottabxp
@hottabxp
Миллиардер. Честно, 100 пистонов!
Я хз что это за штука такая, но её нужно собирать из исходников. И судя по их странице на github, это лучше сделать в Linux.
# Download the latest release of SQLite source code and build the source
# amalgamation files (sqlite3.c and sqlite3.h).
$ wget https://www.sqlite.org/src/tarball/sqlite.tar.gz?r=release \
    -O sqlite.tar.gz
$ tar xzf sqlite.tar.gz
$ cd sqlite/
$ ./configure
$ make sqlite3.c

# Copy the sqlite3 amalgamation files into the root of the pysqlite3 checkout
# and run build_static + build:
$ cp sqlite/sqlite3.[ch] pysqlite3/
$ cd pysqlite3
$ python setup.py build_static build


Есть бинарная сборка, правда для linux: pip install pysqlite3-binary
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы
Стилсофт Ставрополь
от 80 000 ₽
MEDAIR Санкт-Петербург
от 150 000 ₽
deeplay Новосибирск
от 120 000 ₽